summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Dario Nicodemi <dario.sbo@gmail.com>2016-08-23 23:02:44 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-28 00:22:59 +0100
commit7c9785c929613864611c01556089b3585e5fa0c6 (patch)
tree6a6290189b84ac51df5c1cc465231e366f0dcab8 /office
parent71aa44a13978d5fcedca7df6cc9758f74eca988c (diff)
downloadslackbuilds-7c9785c929613864611c01556089b3585e5fa0c6.tar.gz
slackbuilds-7c9785c929613864611c01556089b3585e5fa0c6.tar.xz
office/hevea: Updated for version 2.29.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/hevea/hevea.SlackBuild22
-rw-r--r--office/hevea/hevea.info6
2 files changed, 12 insertions, 16 deletions
diff --git a/office/hevea/hevea.SlackBuild b/office/hevea/hevea.SlackBuild
index c9ad851b2a..bc31ce96c0 100644
--- a/office/hevea/hevea.SlackBuild
+++ b/office/hevea/hevea.SlackBuild
@@ -5,13 +5,13 @@
# Written by Dario Nicodemi dario.sbo@gmail.com
PRGNAM=hevea
-VERSION=${VERSION:-2.09}
+VERSION=${VERSION:-2.29}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -22,8 +22,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -36,7 +36,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -51,14 +51,10 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Patch the makefile on the fly to override the PREFIX and DESTDIR
-sed -i -e "\
- s|^PREFIX=.*|PREFIX=/usr|; \
- s|^LIBDIR=.*|LIBDIR=\$(PREFIX)/lib${LIBDIRSUFFIX}/hevea|; \
- s|^LATEXLIBDIR=.*|LATEXLIBDIR=/usr/share/texmf/tex/latex/hevea|" \
- Makefile
-
-make
+make \
+ PREFIX=/usr \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX}/hevea \
+ LATEXLIBDIR=/usr/share/texmf/tex/latex/hevea
DESTDIR=$PKG make install
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
diff --git a/office/hevea/hevea.info b/office/hevea/hevea.info
index ac7accbe9a..e17134d69d 100644
--- a/office/hevea/hevea.info
+++ b/office/hevea/hevea.info
@@ -1,8 +1,8 @@
PRGNAM="hevea"
-VERSION="2.09"
+VERSION="2.29"
HOMEPAGE="http://hevea.inria.fr/"
-DOWNLOAD="http://hevea.inria.fr/old/hevea-2.09.tar.gz"
-MD5SUM="8a61c7a81433e036d2ea57600f69adf7"
+DOWNLOAD="http://hevea.inria.fr/distri/hevea-2.29.tar.gz"
+MD5SUM="20a73c7f8afa3f3edd63ce4e25dbf7d9"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="ocamlbuild"